# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: OSWorld via Inspect wrapper with tracing
prompts:
  - '{{prompt}}'
providers:
  - id: file://provider.py
    label: OSWorld via Inspect
    config:
      defaultModel: openai/gpt-5.5
      # Promptfoo's Python worker timeout, in milliseconds.
      timeout: 1800000
      # Inspect subprocess timeout, in seconds.
      timeoutSeconds: 1800
defaultTest:
  metadata:
    tracingEnabled: true
  assert:
    - type: python
      value: file://assertion.py
tests: file://osworld_tests.py:generate_tests
tracing:
  enabled: true
  otlp:
    http:
      enabled: true
      port: 4318
      host: 127.0.0.1
      acceptFormats:
        - json
        - protobuf
